%global pmname  licenses
Name:           mycila-%{pmname}
Version:        1
Release:        1%{?dist}
Summary:        Licenses used in Mycila projects

Group:          Development/Tools
License:        ASL 2.0
URL:            https://github.com/mycila/licenses
BuildArch:      noarch

Source0:        https://github.com/mycila/licenses/archive/%{pmname}-%{version}.tar.gz
Patch0:         fixWebdav.patch

BuildRequires:  maven-local
BuildRequires:  maven-wagon
BuildRequires:  maven-wagon-webdav-jackrabbit
BuildRequires:  dos2unix
Requires: java-headless

%description
Licenses used in Mycila projects
DO NOT USE THIS PROJECT OUT OF MYCILA PARENT POM:
This is an internal Mycila JAR !


%prep
%setup -q -n %{pmname}-%{pmname}-%{version}
dos2unix pom.xml
dos2unix README.md
chmod -x README.md
%patch0

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md


%changelog  
* Tue Feb 03 2015 Zdenek Zambersky <zzambers@redhat.com> 1-1
- initial rpm
